import json

import requests

from src.config import configure


# 取得实时天气数据
def get_current_weather_data(location_id):
    url = "%slocation=%s&key=%s" \
          % (configure.current_weather_data_api, location_id, configure.weather_api_key)
    response = requests.get(url)
    data = json.loads(response.text)
    return data


# 取得实时空气质量数据
def get_current_air_quality_data(location_id):
    url = "%slocation=%s&key=%s" \
          % (configure.current_air_quality_data_api, location_id, configure.weather_api_key)
    response = requests.get(url)
    data = json.loads(response.text)
    return data


# 取得逐日天气预报数据
def get_daily_weather_data(location_id):
    url = "%slocation=%s&key=%s" \
          % (configure.get_daily_weather_data_api, location_id, configure.weather_api_key)
    response = requests.get(url)
    data = json.loads(response.text)
    return data


# 取得逐小时天气预报数据
def get_hourly_weather_data(location_id):
    url = "%slocation=%s&key=%s" \
          % (configure.get_hourly_weather_data_api, location_id, configure.weather_api_key)
    response = requests.get(url)
    data = json.loads(response.text)
    return data


# 根据搜索城市取得强相关的城市列表
def get_location_info_by_location_name(location_name):
    url = "%slocation=%s&key=%s" \
          % (configure.get_location_info_api, location_name, configure.weather_api_key)
    response = requests.get(url)
    data = json.loads(response.text)
    return data
