#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@File    :   configure.py
@Contact :   wangxin01@loongson.cn
@License :   (C)Copyright 2021

@Modify Time      @Author    @Version    @Desciption
------------      -------    --------    -----------
21-5-24 上午11:02   wangxin    1.0         None
'''
import yaml
from yaml import SafeLoader

from src.const.const import sys_const, conf_const

# class Configure:
#     # def __init__(self):
#     #     file_obj = open(constants.CONF_PATH, encoding=constants.UTF_8)
#     #     self.configure_data = yaml.load(file_obj, SafeLoader)
#
# configure = Configure()
with \
        open(sys_const.CONF_PATH, encoding=sys_const.UTF_8) as file_obj:
    configure_data = yaml.load(file_obj, SafeLoader)

    # 应用程序名称
    title = configure_data.get(conf_const.APLLCATION_SETTINGS).get(conf_const.TITLE)

    # 错误界面标题
    error_page_title = configure_data.get(conf_const.APLLCATION_SETTINGS) \
        .get(conf_const.ERROR_PAGE_TITLE)

    # 问题界面标题
    question_page_title = configure_data.get(conf_const.APLLCATION_SETTINGS) \
        .get(conf_const.QUESTION_PAGE_TITLE)

    # 收藏地区列表个数
    location_collection_limit_num = configure_data.get(conf_const.APLLCATION_SETTINGS)\
        .get(conf_const.LOCATION_COLLECTION_LIMIT_NUM)

    # 收藏地区列表个数
    theme_setting_stute = configure_data.get(conf_const.APLLCATION_SETTINGS)\
        .get(conf_const.THEME_SETTING_STUTE)

    # 位置API KEY
    location_api_key = configure_data.get(conf_const.API_URL) \
        .get(conf_const.LOCATION_API_URL).get(conf_const.API_KEY)

    # 通过ip地址取得当前城市信息API
    get_location_by_ip_api = configure_data \
        .get(conf_const.API_URL).get(conf_const.LOCATION_API_URL). \
        get(conf_const.LOCATION_API)

    # 天气API KEY
    weather_api_key = configure_data.get(conf_const.API_URL) \
        .get(conf_const.WEATHER_API_URL).get(conf_const.API_KEY)

    # 实时天气信息API
    current_weather_data_api = configure_data. \
        get(conf_const.API_URL).get(conf_const.WEATHER_API_URL). \
        get(conf_const.CURRENT_WEATHER_DATA_API)

    # 实时空气质量API
    current_air_quality_data_api = configure_data. \
        get(conf_const.API_URL).get(conf_const.WEATHER_API_URL). \
        get(conf_const.CURRENT_AIR_QUALITY_DATA_API)

    # 逐日天气预报信息API
    get_daily_weather_data_api = configure_data \
        .get(conf_const.API_URL).get(conf_const.WEATHER_API_URL). \
        get(conf_const.GET_DAILY_WEATHER_DATA_API)

    # 逐小时天气预报信息API
    get_hourly_weather_data_api = configure_data \
        .get(conf_const.API_URL).get(conf_const.WEATHER_API_URL). \
        get(conf_const.GET_HOURLY_WEATHER_DATA_API)

    get_location_info_api = configure_data \
        .get(conf_const.API_URL).get(conf_const.WEATHER_API_URL). \
        get(conf_const.GET_LOCATION_INFO_API)

    #
    # 关于
    about1 = configure_data.get(conf_const.APLLCATION_SETTINGS).get(conf_const.VERSION)

    provider = configure_data.get(conf_const.APLLCATION_SETTINGS).get(conf_const.PROVIDER)

    logo1 = sys_const.LOGO_PATH + sys_const.JPG_SUFFIX
    # 定时刷新间隔时间
    timer = configure_data.get(conf_const.APLLCATION_SETTINGS).get(conf_const.TIMED_REFRESH)
    # 定位到当地标识
    currentLocation = configure_data.get(conf_const.APLLCATION_SETTINGS).get(conf_const.CURRENT_LOCATION)
    # 设置页面标识
    setting_parameter = configure_data.get(conf_const.APLLCATION_SETTINGS).get(conf_const.SETTING_PARAMETER)

    other_light_theme = configure_data.get(conf_const.APLLCATION_SETTINGS).get(conf_const.THEME_SETTING).\
        get(conf_const.OTHER_PAGE).get(conf_const.LIGHTTHEME)
    other_dark_theme = configure_data.get(conf_const.APLLCATION_SETTINGS).get(conf_const.THEME_SETTING). \
        get(conf_const.OTHER_PAGE).get(conf_const.DARKTHEME)
    other_defult_theme = configure_data.get(conf_const.APLLCATION_SETTINGS).get(conf_const.THEME_SETTING). \
        get(conf_const.OTHER_PAGE).get(conf_const.DEFULTTHEME)
    include_light_theme = configure_data.get(conf_const.APLLCATION_SETTINGS).get(conf_const.THEME_SETTING). \
        get(conf_const.INCLUDE_PAGE).get(conf_const.LIGHTTHEME)
    include_dark_theme = configure_data.get(conf_const.APLLCATION_SETTINGS).get(conf_const.THEME_SETTING). \
        get(conf_const.INCLUDE_PAGE).get(conf_const.DARKTHEME)
    include_defult_theme = configure_data.get(conf_const.APLLCATION_SETTINGS).get(conf_const.THEME_SETTING). \
        get(conf_const.INCLUDE_PAGE).get(conf_const.DEFULTTHEME)


