#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@File    :   styleSheet.py    
@Contact :   wangxin01@loongson.cn
@License :   (C)Copyright 2021

@Modify Time      @Author    @Version    @Desciption
------------      -------    --------    -----------
21-6-18 上午3:37   wangxin    1.0         None
'''

# import lib

# 白色遮罩完全透明度
styleSheetTransparent = "background-color:transparent;"

# 白色遮罩20%透明度
styleSheetTransparent20 = "background-color:rgba(255,255,255,20);"

# 白色遮罩50%透明度
styleSheetTransparent50 = "background-color:rgba(255,255,255,50);"

fontColorWhite = "color:white;"

fontColorBlack = "color:black;"

listWidgetStyleSheet = """
    QListWidget{background-color:rgba(255,255,255,0);}
    QListWidget::Item{background-color:rgba(255,255,255,10);margin-right:6;}
    QListWidget::item:selected{background-color:rgba(255,255,255,90);}
    
"""

menuWidgetStyleSheet = """
    QListWidget{background-color:rgba(255,255,255,50);}
"""

marginRight20StyleSheet = "margin-right:20;"


class FrameStyleSheet:
    # 美化样式表
    stylesheet = """
    /*设置左侧选项的最小最大宽度,文字颜色和背景颜色*/
    #menu:hover {
        color: black;
        font-weight: bold;
    }
    
    #menu_list
    {
        background-color:rgba(255,255,255,50);
    }

    """

    styleSheetTransparent = """
    QWidget {background-color:transparent;}
    """

    # 按钮式样美化
    stylesheetQPushButton = """
    QPushButton {border-radius: 4px;
                                border: none;
                                width: 35px;
                                height: 35px;
                                color: rgb(180, 0, 0);
                                font: bold 25px;
                                background-color: transparent;}
    QPushButton:hover {
                                background: rgb(255, 255, 255,20);}
    QPushButton:pressed{
                                background: rgb(255, 255, 255,90);}
    """

    stylesheetLeftButton = """
    QPushButton {border-top-left-radius:13;
                 border-bottom-left-radius :13;
                 width:60;
                 color:#ffffff;
                 background-color: rgba(255,255,255,40);}
    QPushButton:hover {
                 background: rgba(255, 255, 255, 90);}
    QPushButton:pressed{
                 color:#000000;
                 background: rgb(255, 255, 255);}
    """

    stylesheetRightButton = """
    QPushButton {border-top-right-radius:13;
                 border-bottom-right-radius :13;
                 width:60;
                 color:#ffffff;
                 background-color: rgba(255,255,255,40);}
    QPushButton:hover {
                 background: rgba(255, 255, 255, 90);}
    QPushButton:pressed{
                 color:#000000;
                 background: rgb(255, 255, 255);}
    """

    stylesheetLeftButtonClicked = """
    QPushButton {border-top-left-radius:13;
                 border-bottom-left-radius :13;
                 width:60;
                 color:#000000;
                 background: rgb(255, 255, 255);}
    """

    stylesheetRightButtonClicked = """
    QPushButton {border-top-right-radius:13;
                 border-bottom-right-radius :13;
                 width:60;
                 color:#000000;
                 background: rgb(255, 255, 255);}
    """


class CollectStyleSheet:
    collectItemHover = """
    #backGroundFrame:hover {background: rgba(255, 255, 255, 50);min-width:416px;min-height:140px;}
    """
    stylesheetItemCollect = """
    #backGroundFrame {background: rgba(255, 255, 255, 20);min-width:416px;min-height:140px;}
    """
    collectThemeItemHover = """
        #themeframe:hover {background: rgba(255, 255, 255, 50);min-width:200px;min-height:93px;}
        """
    stylesheetThemeItemCollect = """
        #themeframe {background: rgba(255, 255, 255, 0);min-width:416px;min-height:140px;}
        """
    collectPlaceFontSize = """
    #location_name{font: 24px;}
    """
    collectFontSize = """
    font: 14px;
    """
    collectTemFontSize = """
    #temperature{font: 60px;}
    """


class SettingStyleSheet:
    settingStyleSheet = """
        QTabWidget::pane{border: none;}
        QTabWidget QStackedWidget{background: transparent;}
        QWidget{background: transparent;color:white;border:none;}
        QTabBar::tab{background: rgba(255, 255, 255, 20);color:white;font: 18px;min-height:96px;min-width:265px;}
        QTabBar::tab:selected{background: rgba(255, 255, 255, 50);}
        QTabBar::tab:hover{background: rgba(255, 255, 255, 80);}
    """

    comboxStyleSheet = """QComboBox{background: rgba(255,255,255,200);color:black;}"""
