#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@File    :   myCollectionItemPage.py    
@Contact :   wangxin01@loongson.cn
@License :   (C)Copyright 2021

@Modify Time      @Author    @Version    @Desciption
------------      -------    --------    -----------
21-6-2 上午1:31   wangxin    1.0         None
'''

# import lib
#!/usr/bin/env python
# -*- encoding: utf-8 -*-
from src.const.styleSheet import fontColorWhite, CollectStyleSheet

'''
@File    :   myCollectionItemPage.py    
@Contact :   wangxin01@loongson.cn
@License :   (C)Copyright 2021

@Modify Time      @Author    @Version    @Desciption
------------      -------    --------    -----------
21-6-1 上午11:26   wangxin    1.0         None
'''

# import lib
from PyQt5.QtCore import pyqtSignal, Qt
from PyQt5.QtWidgets import QWidget, QMenu

from src.ui.collectionItemPage import Ui_CollectionItemPage


class QmyCollectionItemPage(QWidget):
    clicked = pyqtSignal(object)  # 自定义点击信号

    rightMenuOnClick = pyqtSignal(object)  # 自定义点击信号

    def __init__(self, parent=None):
        super().__init__(parent)  # 调用父类构造函数，创建QWidget窗体
        self.menueIsDisplay = False
        self.__ui = Ui_CollectionItemPage()  # 创建UI对象
        self.__ui.setupUi(self)  # 构造UI
        #设置字体颜色
        self.__ui.backGroundFrame.setStyleSheet(fontColorWhite)

        self.item = None

    # 当按右键的时候，这个event会被触发
    def contextMenuEvent(self, event):
        if self.parentWidget().objectName() != 'themeframe':
            menu = QMenu(self)
            quitAction = menu.addAction("删除数据")
            action = menu.exec_(self.mapToGlobal(event.pos()))

            if action == quitAction:
                self.rightMenuOnClick.emit(self)


    # 设置数据
    def setPageDatas(self,item):
        self.item = item
        self.__ui.location_name.setText(self.item.display_name) # 地区表示名
        self.__ui.location_name.setStyleSheet(CollectStyleSheet.collectPlaceFontSize)
        self.__ui.temperature.setText(self.item.temperature) # 温度
        self.__ui.temperature.setStyleSheet(CollectStyleSheet.collectTemFontSize)
        self.__ui.weather.setText(self.item.weather)  # 天气
        self.__ui.weather.setStyleSheet(CollectStyleSheet.collectFontSize)
        self.__ui.temperature_max.setText(self.item.temperature_max)  # 最高温度
        self.__ui.temperature_max.setStyleSheet(CollectStyleSheet.collectFontSize)
        self.__ui.temperature_min.setText(self.item.temperature_min)  # 最低温度
        self.__ui.temperature_min.setStyleSheet(CollectStyleSheet.collectFontSize)
        self.__ui.wind_info.setText(self.item.wind_info)  # 风速
        self.__ui.wind_info.setStyleSheet(CollectStyleSheet.collectFontSize)
        self.__ui.precip.setText(self.item.precipitation)  # 降水量
        self.__ui.precip.setStyleSheet(CollectStyleSheet.collectFontSize)

    def mouseReleaseEvent(self, event):  # 鼠标键公开时调用
        if event.button() == Qt.LeftButton :
            self.clicked.emit(self)

