#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@File    :   gifSplashScreen.py    
@Contact :   wangxin01@loongson.cn
@License :   (C)Copyright 2021

@Modify Time      @Author    @Version    @Desciption
------------      -------    --------    -----------
21-6-8 上午8:52   wangxin    1.0         None
'''

# import lib
from PyQt5.QtGui import QMovie
from PyQt5.QtWidgets import QSplashScreen

from src.const.const import sys_const


class GifSplashScreen(QSplashScreen):

    def __init__(self, image_path=None, *args, **kwargs):
        super(GifSplashScreen, self).__init__(*args, **kwargs)
        self.movie = QMovie(sys_const.IMAGE_PATH + image_path)
        self.movie.frameChanged.connect(self.onFrameChanged)
        self.movie.start()

    def onFrameChanged(self, _):
        self.setPixmap(self.movie.currentPixmap())

    def finish(self, widget):
        self.movie.stop()
        super(GifSplashScreen, self).finish(widget)