#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@File    :   myHourlyListItem.py
@Contact :   wangxin01@loongson.cn
@License :   (C)Copyright 2021

@Modify Time      @Author    @Version    @Desciption
------------      -------    --------    -----------
21-5-26 上午6:56   wangxin    1.0         None
'''

# import lib
from PyQt5 import QtCore
from PyQt5.QtGui import QPixmap, QFont
from PyQt5.QtWidgets import QListWidgetItem, QWidget, QLabel, QHBoxLayout, QVBoxLayout, QSpacerItem, QSizePolicy, QFrame

from src.const.const import sys_const
from src.const.styleSheet import fontColorWhite, styleSheetTransparent


class QmyDailyListItem(QListWidgetItem):
    def __init__(self, weatherInfo):
        super().__init__()
        # 自定义item中的widget 用来显示自定义的内容
        self.widget = QWidget()
        font = QFont()
        font.setPointSize(12)
        # 时间
        self.datetime = QLabel()
        self.datetime.setText(weatherInfo.datetime)

        # 用来显示天气图标（png图片）
        self.weather_type_image = QLabel()
        self.weather_type_image.setObjectName("weather_type_image")

        # 设置图像源 和 图像大小
        self.weather_type_image.setPixmap(QPixmap(weatherInfo.weather_type_image).scaled(40, 40))
        self.weather_type_image.setAlignment(QtCore.Qt.AlignCenter)

        # 用来显示温度的Frame
        self.temp_frame = QFrame()
        self.temp_frame_hbox = QHBoxLayout(self.temp_frame)

        # 用来显示最高,最低温度
        self.temp_max_min = QLabel()
        self.temp_max_min.setText(str(weatherInfo.temp_max) + sys_const.TILDE_MARK +  str(weatherInfo.temp_min))
        self.temp_max_min.setFont(font)
        self.temp_max_min.setAlignment(QtCore.Qt.AlignCenter | QtCore.Qt.AlignCenter)
        self.temp_frame_hbox.addWidget(self.temp_max_min)

        # 设置布局用来对nameLabel和avatorLabel进行布局
        self.vbox = QVBoxLayout()
        self.vbox.addWidget(self.datetime)
        self.vbox.addWidget(self.weather_type_image)
        self.vbox.addWidget(self.temp_frame)
        self.vbox.addStretch(1)
        self.frame = QFrame()
        self.frame.setLayout(self.vbox)
        self.hbox_main = QHBoxLayout()
        self.hbox_main.addWidget(self.frame)
        # 设置widget的布局
        self.widget.setLayout(self.hbox_main)
        self.widget.setStyleSheet(fontColorWhite)
        # 设置自定义的QListWidgetItem的sizeHint，不然无法显示
        # self.setSizeHint(self.widget.sizeHint())
        self.setSizeHint(QtCore.QSize(150, 150))