#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@File    :   myHourlyListItem.py
@Contact :   wangxin01@loongson.cn
@License :   (C)Copyright 2021

@Modify Time      @Author    @Version    @Desciption
------------      -------    --------    -----------
21-5-26 上午6:56   wangxin    1.0         None
'''

# import lib
from PyQt5 import QtCore
from PyQt5.QtGui import QPixmap, QFont
from PyQt5.QtWidgets import QListWidgetItem, QWidget, QLabel, QHBoxLayout, QVBoxLayout, QFrame

from src.const.styleSheet import fontColorWhite


class QmyHourlyListItem(QListWidgetItem):
    def __init__(self, weatherInfo):
        super().__init__()
        # 自定义item中的widget 用来显示自定义的内容
        self.widget = QWidget()
        font = QFont()
        font.setPointSize(9)
        # sizePolicy.setHeightForWidth(self.weather_type.sizePolicy().hasHeightForWidth())
        # 用来显示天气图标（png图片）
        self.weather_type_image = QLabel()
        self.weather_type_image.setObjectName("weather_type_image")
        # 设置图像源 和 图像大小
        self.weather_type_image.setPixmap(QPixmap(weatherInfo.weather_type_image).scaled(40, 40))
        self.weather_type_image.setAlignment(QtCore.Qt.AlignCenter)
        # 用来显示温度
        self.temperature = QLabel()
        self.temperature.setText(weatherInfo.temperature)
        self.temperature.setAlignment(QtCore.Qt.AlignCenter)
        # 用来显示天气
        self.weather_type = QLabel()
        self.weather_type.setText(weatherInfo.weather_type)
        self.weather_type.setFont(font)
        self.weather_type.setAlignment(QtCore.Qt.AlignCenter)
        # 用来显示风速
        self.wind_frame = QFrame()
        self.hbox = QHBoxLayout(self.wind_frame)
        self.wind_speed_icon = QLabel()
        self.wind_speed_icon.setPixmap(QPixmap(weatherInfo.wind_speed_icon).scaled(18, 18))
        self.wind_speed_icon.setAlignment(QtCore.Qt.AlignRight)
        self.wind_speed = QLabel()

        self.wind_speed.setFont(font)
        self.wind_speed.setText(weatherInfo.wind_speed)
        self.wind_speed.setAlignment(QtCore.Qt.AlignLeft)
        self.hbox.addWidget(self.wind_speed_icon)
        self.hbox.addWidget(self.wind_speed)

        # 用来显示时间 HH:MM
        self.time = QLabel()
        self.time.setText(weatherInfo.time)
        self.time.setAlignment(QtCore.Qt.AlignCenter)
        # 设置布局用来对nameLabel和avatorLabel进行布局
        self.vbox = QVBoxLayout()
        self.vbox.addWidget(self.weather_type_image)
        self.vbox.addWidget(self.temperature)
        self.vbox.addWidget(self.weather_type)
        self.vbox.addWidget(self.wind_frame)
        self.vbox.addWidget(self.time)
        self.vbox.addStretch(1)
        self.frame = QFrame()
        self.frame.setLayout(self.vbox)
        self.hbox_main = QHBoxLayout()
        self.hbox_main.addWidget(self.frame)
        # 设置widget的布局
        self.widget.setLayout(self.hbox_main)
        self.widget.setStyleSheet(fontColorWhite)
        # 设置自定义的QListWidgetItem的sizeHint，不然无法显示
        # self.setSizeHint(self.widget.sizeHint())
        self.setSizeHint(QtCore.QSize(150, 240))
