#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@File    :   myMenuListItem.py
@Contact :   wangxin01@loongson.cn
@License :   (C)Copyright 2021

@Modify Time      @Author    @Version    @Desciption
------------      -------    --------    -----------
21-5-31 上午9:22   wangxin    1.0         None
'''

# import lib
from PyQt5 import QtCore
from PyQt5.QtGui import QFont, QPixmap
from PyQt5.QtWidgets import QListWidgetItem, QWidget, QLabel, QHBoxLayout, QFrame

from src.const.styleSheet import marginRight20StyleSheet


class QmyMenuListItem(QListWidgetItem):
    def __init__(self, icon, menu, item):
        self.item = item
        super().__init__()
        # 自定义item中的widget 用来显示自定义的内容
        self.widget = QWidget()

        # 菜单ICON（svg图片）
        self.menu_icon = QLabel()
        self.menu_icon.setObjectName("menu_icon")

        # 设置图像源 和 图像大小
        self.menu_icon.setPixmap(QPixmap(icon).scaled(30, 30))
        self.menu_icon.setAlignment(QtCore.Qt.AlignCenter)

        # 菜单
        self.menu = QLabel()
        self.menu.setText(menu)
        self.menu.setObjectName("menu")
        self.menu.setStyleSheet("color:white")
        self.menu.setAlignment(QtCore.Qt.AlignCenter|QtCore.Qt.AlignCenter)

        # 设置布局用来对nameLabel和avatorLabel进行布局
        self.hbox = QHBoxLayout()
        self.hbox.addWidget(self.menu_icon)
        self.hbox.addWidget(self.menu)
        self.hbox.addStretch(1)
        self.frame = QFrame()
        self.frame.setLayout(self.hbox)
        self.hbox_main = QHBoxLayout()
        self.hbox_main.addWidget(self.frame)
        # 设置widget的布局
        self.widget.setLayout(self.hbox_main)
        self.widget.setStyleSheet(marginRight20StyleSheet)
        # 设置自定义的QListWidgetItem的sizeHint，不然无法显示
        self.setSizeHint(self.widget.sizeHint())